package cn.iocoder.yudao.module.iot.dal.mysql.kanban;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.iot.controller.admin.kanban.vo.KanbanPageReqVO;
import cn.iocoder.yudao.module.iot.dal.dataobject.kanban.KanbanDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 物联看板 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface KanbanMapper extends BaseMapperX<KanbanDO> {

    default PageResult<KanbanDO> selectPage(KanbanPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<KanbanDO>()
                .eqIfPresent(KanbanDO::getCode, reqVO.getCode())
                .eqIfPresent(KanbanDO::getTitle, reqVO.getTitle())
                .eqIfPresent(KanbanDO::getImg, reqVO.getImg())
                .eqIfPresent(KanbanDO::getRemark, reqVO.getRemark())
                .eqIfPresent(KanbanDO::getIsEnable, reqVO.getIsEnable())
                .betweenIfPresent(KanbanDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(KanbanDO::getId));
    }

}